net.sf.jasperreports.engine.type

## Enum BandTypeEnum

- java.lang.Object
- - java.lang.Enum<BandTypeEnum>
  - - net.sf.jasperreports.engine.type.BandTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BandTypeEnum>, JREnum, NamedEnum

      public enum BandTypeEnum
      extends java.lang.Enum<BandTypeEnum>
      implements JREnum

  Version:
    $Id: BandTypeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKGROUND`
    `COLUMN_FOOTER`
    `COLUMN_HEADER`
    `DETAIL`
    `GROUP_FOOTER`
    `GROUP_HEADER`
    `LAST_PAGE_FOOTER`
    `NO_DATA`
    `PAGE_FOOTER`
    `PAGE_HEADER`
    `SUMMARY`
    `TITLE`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BandTypeEnum` | `getByName(java.lang.String name)`
    `static BandTypeEnum` | `getByValue(byte value)`
    `static BandTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static BandTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BandTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final BandTypeEnum UNKNOWN

    - #### BACKGROUND

          public static final BandTypeEnum BACKGROUND

    - #### TITLE

          public static final BandTypeEnum TITLE

    - #### PAGE_HEADER

          public static final BandTypeEnum PAGE_HEADER

    - #### COLUMN_HEADER

          public static final BandTypeEnum COLUMN_HEADER

    - #### GROUP_HEADER

          public static final BandTypeEnum GROUP_HEADER

    - #### DETAIL

          public static final BandTypeEnum DETAIL

    - #### GROUP_FOOTER

          public static final BandTypeEnum GROUP_FOOTER

    - #### COLUMN_FOOTER

          public static final BandTypeEnum COLUMN_FOOTER

    - #### PAGE_FOOTER

          public static final BandTypeEnum PAGE_FOOTER

    - #### LAST_PAGE_FOOTER

          public static final BandTypeEnum LAST_PAGE_FOOTER

    - #### SUMMARY

          public static final BandTypeEnum SUMMARY

    - #### NO_DATA

          public static final BandTypeEnum NO_DATA

  - ### Method Detail

    - #### values

          public static BandTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BandTypeEnum c : BandTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BandTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static BandTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static BandTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static BandTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com